## spml 0.7.1

=== spmfrt/Makefile ===
# Makefile for spmfrt

include ../Config.mk

TARGET=spm

ifeq (X$(MPIFC),X)
	ALLTARGET=$(TARGET)frt $(TARGET)config
else
	ALLTARGET=$(TARGET)frt $(TARGET)config mpi$(TARGET)frt
endif

all: $(ALLTARGET)

install: $(TARGET)frt
	test -d $(DEST_BIN) || $(INSTALLDIR) $(DEST_BIN)
	cp $(TARGET)frt $(DEST_BIN)
	cp $(TARGET)config $(DEST_BIN)
	if [ X$(MPIFC) != X ]; then \
		cp mpi$(TARGET)frt $(DEST_BIN) ;\
	fi

$(TARGET)frt: $(TARGET)frtgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)frt"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		sh ./$(TARGET)frtgen.sh $@
	chmod +x $(TARGET)frt

$(TARGET)config: $(TARGET)configgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)config"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		sh ./$(TARGET)configgen.sh $@
	chmod +x $(TARGET)config

mpi$(TARGET)frt: $(TARGET)frtgen.sh Makefile ../Config.mk
	@echo "Making shell script mpi$(TARGET)frt"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(MPIFC) \
		sh ./$(TARGET)frtgen.sh $@
	chmod +x mpi$(TARGET)frt

clean:
	-rm -f *~ $(TARGET)frt $(TARGET)config mpi$(TARGET)frt

=== src-mpi/Makefile ===
# Makefile for spmpdel library

include ../Config.mk

TARGET=../src/lib$(LIBNAME).a

all: $(TARGET)

install: $(TARGET)
	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
	$(INSTALL) $(MODS) $(MODINCS) $(DEST_INC)
	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
		$(INSTALL) work.pc $(DEST_INC)/work.pc ;\
	fi

OBJS = eee_mpi_module.o w_base_mpi_module.o w_deriv_mpi_module.o \
	w_integral_mpi_module.o w_mpi_module.o wa_base_mpi_module.o \
	wa_deriv_mpi_module.o wa_integral_mpi_module.o \
	wa_mpi_module.o wt_mpi_module.o wq_mpi_module.o wtq_mpi_module.o 
#wt_galerkin_mpi_module.o

$(TARGET): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

$(OBJS): work.pcl

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(FFLAGS) $(SYSFFLAGS)

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.a 

#== Suffixes rules
#
# [JAPANESE] եå롼
#
%.o: %.f90
	$(MPIFC) -c -I../src $(FFLAGS) $(SYSFFLAGS) $(INCLUDES) $<

# dependences

w_deriv_mpi_module.o: w_base_mpi_module.o
w_integral_mpi_module.o: w_base_mpi_module.o
w_mpi_module.o:	w_base_mpi_module.o w_deriv_mpi_module.o w_integral_mpi_module.o
wa_base_mpi_module.o: w_base_mpi_module.o
wa_deriv_mpi_module.o: wa_base_mpi_module.o
wa_integral_mpi_module.o: w_base_mpi_module.o
wa_mpi_module.o: wa_base_mpi_module.o wa_deriv_mpi_module.o wa_integral_mpi_module.o
wt_mpi_module.o: wa_mpi_module.o
wq_mpi_module.o: wa_mpi_module.o
wtq_mpi_module.o: wt_mpi_module.o wq_mpi_module.o 
#wt_galerkin_mpi_module.o:wt_mpi_module.o

=== src/Makefile ===
# Makefile for spmpdel library

include ../Config.mk

TARGET=lib$(LIBNAME).a

EIGENOBJS=
EIGMATRIXOBJS=
LUMATRIXOBJS=lumatrix_omp.o lumatrix.o

ifeq ($(EIGMATRIXLIB),SSL2)
	EIGENOBJS=ssl2_eigen.o ssl2_ceigen.o
	EIGMATRIXOBJS=eigmatrix.o $(EIGENOBJS)
endif
ifeq ($(EIGMATRIXLIB),SSL2TP)
	EIGENOBJS=ssl2tp_eigen.o ssl2tp_ceigen.o
	EIGMATRIXOBJS=eigmatrix.o $(EIGENOBJS)
endif
ifeq ($(EIGMATRIXLIB),LAPACK)
	EIGENOBJS=lapack_eigen.o lapack_ceigen.o
	EIGMATRIXOBJS=eigmatrix.o $(EIGENOBJS)
endif

ifeq ($(LUMATRIXLIB),VEC)
	LUMATRIXOBJS=lumatrix_vec.o lumatrix.o
endif
ifeq ($(LUMATRIXLIB),OMP)
	LUMATRIXOBJS=lumatrix_omp.o lumatrix.o
endif
ifeq ($(LUMATRIXLIB),SSL2)
	LUMATRIXOBJS=lumatrix_ssl2.o
endif
ifeq ($(LUMATRIXLIB),SSL2TP)
	LUMATRIXOBJS=lumatrix_ssl2tp.o
endif
ifeq ($(LUMATRIXLIB),LAPACK)
	LUMATRIXOBJS=lumatrix_lapack.o
endif
ifeq ($(LUMATRIXLIB),CUDA)
	LUMATRIXOBJS=lumatrix_cuda.o lumatrix.o
endif

CUDAOBJS=
ifeq ($(CUDA),yes)
	CUDAOBJS = w_base_module_sjpack_cuda.o w_deriv_module_sjpack_cuda.o \
	   w_interpolate_module_sjpack_cuda.o w_integral_module_sjpack_cuda.o \
	   w_spectrum_module_sjpack_cuda.o w_module_sjpack_cuda.o \
	   wa_base_module_sjpack_cuda.o wa_deriv_module_sjpack_cuda.o \
	   wa_interpolate_module_sjpack_cuda.o wa_integral_module_sjpack_cuda.o \
	   wa_spectrum_module_sjpack_cuda.o wa_module_sjpack_cuda.o \
	   wt_module_sjpack_cuda.o
endif


all: $(TARGET)

install: $(TARGET)
	test -d $(DEST_LIB) || $(INSTALLDIR) $(DEST_LIB)
	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
	$(INSTALL) $(TARGET) $(DEST_LIB)
	$(INSTALL) $(MODS) $(MODINCS) $(DEST_INC)
	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
		$(INSTALL) work.pc $(DEST_INC)/work.pc ;\
	fi

OBJS =	$(LUMATRIXOBJS) \
	ae_module.o at_module.o au_module.o aq_module.o \
	ee_module.o esc_module.o c2ajcc.o ef_module.o \
	et_module.o eq_module.o eee_module.o eea_module.o tee_module.o \
	ae_module_fftj.o ee_module_fftj.o et_module_fftj.o \
	eea_module_fftj.o tee_module_fftj.o \
	w_base_module.o w_integral_module.o \
	w_deriv_module.o w_interpolate_module.o gamma.o dlgamma.o \
	w_spectrum_module.o  w_module.o \
	wa_base_module.o wa_integral_module.o \
	wa_deriv_module.o wa_interpolate_module.o \
	wa_spectrum_module.o wa_module.o wq_module.o \
	wt_module.o wu_module.o wtu_module.o wtq_module.o \
	w_base_module_sjpack.o w_integral_module_sjpack.o \
	w_deriv_module_sjpack.o w_interpolate_module_sjpack.o \
	w_spectrum_module_sjpack.o  w_module_sjpack.o \
	wa_base_module_sjpack.o wa_deriv_module_sjpack.o \
	wa_integral_module_sjpack.o wa_spectrum_module_sjpack.o \
	wa_interpolate_module_sjpack.o wa_module_sjpack.o \
	wt_module_sjpack.o wq_module_sjpack.o wtq_module_sjpack.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o     \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRFF.o \
	at_av_galerkin_NN.o et_galerkin_module.o et_galerkin_module_fftj.o \
	l_module.o la_module.o \
	w_zonal_module.o wa_zonal_module.o wt_zonal_module.o \
	l_module_sjpack.o la_module_sjpack.o \
	w_zonal_module_sjpack.o wa_zonal_module_sjpack.o \
	wt_zonal_module_sjpack.o \
	wt_galerkin_module.o wt_galerkin_module_sjpack.o \
	wt_zonal_galerkin_module.o wt_zonal_galerkin_module_sjpack.o \
	indexx.o \
	$(EIGMATRIXOBJS) $(CUDAOBJS)

$(TARGET): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

$(OBJS): work.pcl

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(FFLAGS) $(SYSFFLAGS)

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.a eigmatrix.f90

# dependences

at_module.o: $(LUMATRIXOBJS)
aq_module.o: $(LUMATRIXOBJS) gamma.o

et_module.o: ae_module.o at_module.o $(LUMATRIXOBJS)
eq_module.o: ae_module.o aq_module.o $(LUMATRIXOBJS)

w_integral_module.o: w_base_module.o
w_deriv_module.o: w_base_module.o
w_spectrum_module.o: w_base_module.o
w_interpolate_module.o: gamma.o w_base_module.o
w_module.o: w_spectrum_module.o w_integral_module.o \
	    w_deriv_module.o w_interpolate_module.o w_base_module.o

wa_spectrum_module.o: w_base_module.o
wa_interpolate_module.o: gamma.o w_base_module.o
wa_base_module.o: w_base_module.o
wa_integral_module.o: w_base_module.o
wa_deriv_module.o: wa_base_module.o w_base_module.o w_deriv_module.o
wa_module.o: wa_base_module.o w_base_module.o \
	     wa_integral_module.o w_integral_module.o \
	     wa_interpolate_module.o w_interpolate_module.o \
	     wa_deriv_module.o w_deriv_module.o \
	     wa_spectrum_module.o w_spectrum_module.o

wt_module.o: wa_module.o at_module.o $(LUMATRIXOBJS)
wu_module.o: wa_module.o au_module.o $(LUMATRIXOBJS)
wtu_module.o: wt_module.o wu_module.o
wq_module.o: wa_module.o aq_module.o $(LUMATRIXOBJS)
wtq_module.o: wt_module.o wq_module.o

w_integral_module_sjpack.o: w_base_module_sjpack.o
w_deriv_module_sjpack.o: w_base_module_sjpack.o
w_spectrum_module_sjpack.o: w_base_module_sjpack.o
w_interpolate_module_sjpack.o: gamma.o w_base_module_sjpack.o
w_module_sjpack.o: w_spectrum_module_sjpack.o w_integral_module_sjpack.o \
	w_deriv_module_sjpack.o w_interpolate_module_sjpack.o w_base_module_sjpack.o

wa_spectrum_module_sjpack.o: w_base_module_sjpack.o
wa_interpolate_module_sjpak.o: gamma.o w_basae_module_sjpack.o
wa_base_module_sjpack.o: w_base_module_sjpack.o
wa_integral_module_sjpack.o: w_base_module_sjpack.o
wa_deriv_module_sjpack.o: wa_base_module_sjpack.o w_base_module_sjpack.o w_deriv_module_sjpack.o
wa_module_sjpack.o: wa_base_module_sjpack.o w_base_module_sjpack.o \
	wa_integral_module_sjpack.o w_integral_module_sjpack.o \
	wa_interpolate_module_sjpack.o w_interpolate_module_sjpack.o \
	wa_deriv_module_sjpack.o w_deriv_module_sjpack.o \
	wa_spectrum_module_sjpack.o w_spectrum_module_sjpack.o

wt_module_sjpack.o: wa_module_sjpack.o at_module.o $(LUMATRIXOBJS)
wq_module_sjpack.o: wa_module_sjpack.o aq_module.o $(LUMATRIXOBJS)
wtq_module_sjpack.o: wa_module_sjpack.o wq_module_sjpack.o

w_module_sjpack_cuda.o: w_deriv_module_sjpack_cuda.o \
			w_interpolate_module_sjpack_cuda.o \
			w_integral_module_sjpack_cuda.o \
			w_spectrum_module_sjpack_cuda.o 
w_spectrum_module_sjpack_cuda.o: w_base_module_sjpack_cuda.o 
w_integral_module_sjpack_cuda.o: w_base_module_sjpack_cuda.o 
w_interpte_module_sjpack_cuda.o: w_base_module_sjpack_cuda.o 
w_deriv_module_sjpack_cuda.o: w_base_module_sjpack_cuda.o 

wa_module_sjpack_cuda.o: wa_deriv_module_sjpack_cuda.o \
			wa_interpolate_module_sjpack_cuda.o \
			wa_integral_module_sjpack_cuda.o \
			wa_spectrum_module_sjpack_cuda.o 
wa_spectrum_module_sjpack_cuda.o: w_base_module_sjpack_cuda.o 
wa_integral_module_sjpack_cuda.o: w_base_module_sjpack_cuda.o 
wa_interpolate_module_sjpack_cuda.o: w_base_module_sjpack_cuda.o 
wa_deriv_module_sjpack_cuda.o: w_module_sjpack_cuda.o \
			       wa_base_module_sjpack_cuda.o

wt_module_sjpack_cuda.o: wa_module_sjpack_cuda.o at_module.o $(LUMATRIXOBJS)

at_ab_galerkin_ND.o:at_module.o
at_ad_galerkin_DD.o:at_module.o
at_af_galerkin_MM.o:at_module.o
at_ah_galerkin_MMex.o:at_module.o
at_ap_galerkin_DN.o:at_module.o
at_aq_galerkin_RRFF.o:at_module.o
at_av_galerkin_NN.o:at_module.o
et_module.o:ae_module.o at_module.o
et_galerkin_module.o:et_module.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o  \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRFF.o \
	at_av_galerkin_NN.o
et_galerkin_module_fftj.o:et_module_fftj.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o  \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRFF.o \
	at_av_galerkin_NN.o
eea_module.o:ee_module.o
tee_module.o:ee_module.o at_module.o
wt_galerkin_module.o:wt_module.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRFF.o \
	at_av_galerkin_NN.o
wt_galerkin_module_sjpack.o:wt_module_sjpack.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRFF.o \
	at_av_galerkin_NN.o
wt_zonal_module.o:wa_zonal_module.o at_module.o
wt_zonal_module_sjpack.o:wa_zonal_module_sjpack.o at_module.o
wt_zonal_galerkin_module.o:wt_zonal_module.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRFF.o \
	at_av_galerkin_NN.o
wt_zonal_galerkin_module_sjpack.o:wt_zonal_module_sjpack.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRFF.o \
	at_av_galerkin_NN.o
wa_zonal_module.o:w_zonal_module.o la_module.o
w_zonal_module.o: l_module.o
la_module.o: l_module.o

eigmatrix.f90: eigmatrix.g90
	$(CPP) -P -D $(EIGMATRIXLIB) $< > $@

eigmatrix.o: $(EIGENOBJS)

ssl2_eigen.o: indexx.o
ssl2tp_eigen.o: indexx.o
lapack_eigen.o: indexx.o
ssl2_ceigen.o: indexx.o
ssl2tp_ceigen.o: indexx.o
lapack_ceigen.o: indexx.o

=== test/ae_module_fftj/Makefile ===
# Makefile for spmodel library
#
# $Id: Makefile,v 1.1 2009-09-11 07:32:51 takepiro Exp $
# 

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	ae_module_fftj_base1d_test.out \
	ae_module_fftj_base2d_test.out \
	ae_module_fftj_integral_test.out \
	ae_module_fftj_interpolate_test.out 
	./ae_module_fftj_base1d_test.out
	./ae_module_fftj_base2d_test.out
	./ae_module_fftj_integral_test.out
	./ae_module_fftj_interpolate_test.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/eea_module/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	eea_test_transform.out eea_test_derivative.out \
	eea_test_jacobian.out eea_test_jacobianZ.out \
	eea_test_intavr.out eea_test_spectrum.out \
	eea_test_interpolate.out
	./eea_test_transform.out 
	./eea_test_derivative.out 
	./eea_test_jacobian.out
	./eea_test_jacobianZ.out
	./eea_test_intavr.out
	./eea_test_spectrum.out
	./eea_test_interpolate.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/eee_mpi_module/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	eee_mpi_test_gatherZeta.out eee_mpi_test_RotVelxVor.out \
	eee_mpi_test_gathering.out eee_mpi_test_ZetaVorVel.out \
	eee_mpi_test_intavr.out eee_mpi_test_derivative.out \
	eee_mpi_test_transform.out eee_mpi_test_energyhelicity.out
	$(MPIRUN) ./eee_mpi_test_gatherZeta.out	 
	$(MPIRUN) ./eee_mpi_test_RotVelxVor.out	 
	$(MPIRUN) ./eee_mpi_test_gathering.out	 
	$(MPIRUN) ./eee_mpi_test_ZetaVorVel.out	 
	$(MPIRUN) ./eee_mpi_test_intavr.out	 
	$(MPIRUN) ./eee_mpi_test_derivative.out	 
	$(MPIRUN) ./eee_mpi_test_transform.out	 
	$(MPIRUN) ./eee_mpi_test_energyhelicity.out

.SUFFIXES: .f90 .out

.f90.out:
	$(MPIFC) -I../../src -I../../src-mpi $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/eigmatrix/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	eigen_test.out ceigen_test.out
	./eigen_test.out
	./ceigen_test.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/et_module/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

.SUFFIXES: .f90 .out

test:	et_test_transform.out et_test_derivative.out \
	et_test_jacobian.out et_test_LaplaInv.out \
	et_test_boundaries.out \
	et_test_intavr.out et_test_interpolate.out 
	./et_test_transform.out
	./et_test_derivative.out
	./et_test_jacobian.out
	./et_test_boundaries.out
	./et_test_LaplaInv.out
	./et_test_intavr.out
	./et_test_interpolate.out

#	./et_test_Vor2Strum.out
#	et_test_boundaries.out et_test_Vor2Strum.out \

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/et_module_fftj/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

.SUFFIXES: .f90 .out

test:	et_module_fftj_base_test.out \
	et_module_fftj_deriv_test.out \
	et_module_fftj_integral_test.out \
	et_module_fftj_jacobian_test.out \
	et_module_fftj_boundaries_test.out \
	et_module_fftj_Vor2Strum_test.out \
	et_module_fftj_interpolate_test.out
	./et_module_fftj_base_test.out 
	./et_module_fftj_deriv_test.out 
	./et_module_fftj_integral_test.out 
	./et_module_fftj_jacobian_test.out 
	./et_module_fftj_boundaries_test.out
	./et_module_fftj_Vor2Strum_test.out
	./et_module_fftj_interpolate_test.out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/l_module_sjpack/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	l_module_sjpack_base_test.out l_module_sjpack_deriv_test.out \
	l_module_sjpack_integral_test.out l_module_sjpack_interpolate_test.out
	./l_module_sjpack_base_test.out
	./l_module_sjpack_deriv_test.out
	./l_module_sjpack_integral_test.out
	./l_module_sjpack_interpolate_test.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/misc/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	gamma_test.out indexx_test.out
	./gamma_test.out
	./indexx_test.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== test/tee_module_fftj/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	tee_module_fftj_base_test.out \
	tee_module_fftj_deriv_test.out \
	tee_module_fftj_integral_test.out \
	tee_module_fftj_interpolate_test.out \
	tee_module_fftj_torpol_test.out  \
	tee_module_fftj_spectrum_test.out \
	tee_module_fftj_BoundariesTau_test.out  \
	tee_module_fftj_BoundariesGrid_test.out \
	tee_module_fftj_TorvelbcTau_test.out  \
	tee_module_fftj_TorvelbcGrid_test.out \
	tee_module_fftj_PolvelbcGrid_test.out \
	tee_module_fftj_PolvelbcCheb_test.out \
	tee_module_fftj_TormagbcTau_test.out  \
	tee_module_fftj_TormagbcGrid_test.out \
	tee_module_fftj_PolmagbcTau_test.out  \
	tee_module_fftj_PolmagbcGrid_test.out
	./tee_module_fftj_base_test.out
	./tee_module_fftj_deriv_test.out
	./tee_module_fftj_integral_test.out
	./tee_module_fftj_interpolate_test.out
	./tee_module_fftj_torpol_test.out
	./tee_module_fftj_spectrum_test.out
	./tee_module_fftj_BoundariesTau_test.out
	./tee_module_fftj_BoundariesGrid_test.out
	./tee_module_fftj_TorvelbcTau_test.out
	./tee_module_fftj_TorvelbcGrid_test.out
	./tee_module_fftj_PolvelbcGrid_test.out
	./tee_module_fftj_PolvelbcCheb_test.out
	./tee_module_fftj_TormagbcTau_test.out
	./tee_module_fftj_TormagbcGrid_test.out
	./tee_module_fftj_PolmagbcTau_test.out
	./tee_module_fftj_PolmagbcGrid_test.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(FFLAGS) $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)

=== debian/changelog ===
spml (0.7.1-3) unstable; urgency=low

  * Fix pre-build.sh, {pre,post}inst script generator

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 28 Nov 2012 23:44:14 +0900

spml (0.7.1-2) unstable; urgency=low

  * Apply SVN HEAD rev.549

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 28 Nov 2012 18:54:22 +0900

spml (0.7.1-1) unstable; urgency=low

  * Initial create

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 26 Nov 2012 18:51:14 +0900

=== debian/control ===
Source: spml
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 9.0~), 
  autotools-dev, mpi-default-dev, mpi-default-bin, libnetcdf-dev, gtool5, libispack-dev, liblapack-dev, ruby1.8, rdtool, gfortran
Standards-Version: 3.9.3
Homepage: http://www.gfd-dennou.org/arch/spmodel

Package: spml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gtool5, ispack, mpi-default-bin, liblapack-dev, libnetcdf-dev
Description: Fortran90 module library for solveing fundamental GFD problems
 SPML (a SPectral Model Library) is a Fortran90 module library for
 constructing spectral models for fundamental geophysical fluid
 dynamic problems. Fortran90 modules of this library are based on
 ISPACK (http://www.gfd-dennou.org/arch/ispack), which is also library
 for spectral models but written in Fortran77. 
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

# Add here any variable or target overrides you need.

EXT=gfortran
PACKAGE=spml
FC=gfortran
MPIFC=/usr/bin/mpif90.openmpi
INCLUDE_FLAGS=-I/usr/include
ARCH=$(shell dpkg --print-architecture)
SYSFFLAGS:=-O2 -fPIC -g -fopenmp
FFLAGS:=
NETCDF:=/usr/lib/libnetcdf.a
NETCDFF:=/usr/lib/libnetcdff.a
NETCDFINC:=/usr/include
GTOOL5:=/usr/lib/gtool5/lib/libgtool5.a
GTOOL5_MPI:=/usr/lib/gtool5-mpi/lib/libgtool5-mpi.a
ISPACK:=/usr/lib/libispack.a
CONF_NETCDF:=--with-netcdf=$(NETCDF) \
	--with-netcdff=$(NETCDFF) \
	--with-netcdf-include=$(NETCDFINC)
CONF_GTOOL5:=--with-gtool5=$(GTOOL5)
CONF_GTOOL5_MPI:=--with-gtool5=$(GTOOL5_MPI)
CONF_ISPACK:=--with-ispack=$(ISPACK)
CONF_LUMATRIX=--with-lapack=/usr/lib/liblapack.a
CONF_FLAGS:= $(CONF_NETCDF) \
	$(CONF_GTOOL5) \
	$(CONF_ISPACK) \
	$(CONF_LUMATRIX)
CONF_FLAGS_MPI:= $(CONF_NETCDF) \
	$(CONF_GTOOL5_MPI) \
	$(CONF_ISPACK) \
	$(CONF_LUMATRIX) \
	--with-mpifc=$(MPIFC)
MANPAGES:=debian/*.1
DEB_INSTALL_MANPAGES_$(PACKAGE) :=$(MANPAGES)

clean::
	-[ -f Config.mk ] && $(MAKE) distclean
	rm -f debian/*.postinst; \
	rm -f debian/*.prerm  ; \
	rm -f debian/*.docs ;\
	rm -f debian/*.links ;\
	rm -f $(MANPAGES)

pre-build::
	(cd ./debian && \
	PACKAGE=$(PACKAGE) EXT=$(EXT) PRIORITY=100 sh ./pre-build.sh)

build/$(PACKAGE)::
	@echo "build non-mpi library"
	FC="$(FC)" SYSFFLAGS="$(SYSFFLAGS)" FFLAGS="$(FFLAGS)" \
	./configure --prefix=/usr/lib/$(PACKAGE) $(CONF_FLAGS)
	$(MAKE) LIBNAME=$(PACKAGE)
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/$(PACKAGE) \
		LIBNAME=$(PACKAGE)
	$(MAKE) distclean
	@echo "build mpi library"
	FC="$(MPIFC)" SYSFFLAGS="$(SYSFFLAGS)" FFLAGS="$(FFLAGS)" \
	./configure --prefix=/usr/lib/$(PACKAGE)-mpi $(CONF_FLAGS_MPI)
	$(MAKE) LIBNAME=$(PACKAGE)
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/$(PACKAGE) \
		LIBNAME=$(PACKAGE)
	$(MAKE) distclean
	cd $(CURDIR)/debian/$(PACKAGE)/usr/lib/$(PACKAGE)-mpi/bin ; rm spmfrt
	mkdir -p $(CURDIR)/debian/$(PACKAGE)/usr/share/man/man1
	@for f in spmfrt spmconfig ; do \
	  cat debian/$(PACKAGE)/usr/lib/$(PACKAGE)/bin/$$f | \
	      sed -e s/^#//g | /usr/bin/ruby1.8 /usr/bin/rd2 -r rd/rd2man-lib > debian/$$f-$(EXT).1 ;\
	done
	cat debian/$(PACKAGE)/usr/lib/$(PACKAGE)-mpi/bin/mpispmfrt | \
	    sed -e s/^#//g | /usr/bin/ruby1.8 /usr/bin/rd2 -r rd/rd2man-lib > debian/mpispmfrt-$(EXT).1
	cat debian/$(PACKAGE)/usr/lib/$(PACKAGE)-mpi/bin/spmconfig | \
	    sed -e s/^#//g | /usr/bin/ruby1.8 /usr/bin/rd2 -r rd/rd2man-lib > debian/mpispmconfig-$(EXT).1

## spml 0.8.0

=== doc/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/spml
pkgincludedir = $(includedir)/spml
pkglibdir = $(libdir)/spml
pkglibexecdir = $(libexecdir)/spml
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/dc_arg_with.m4 \
	$(top_srcdir)/m4/dc_fortran_check.m4 \
	$(top_srcdir)/m4/dc_fortran_module_flag.m4 \
	$(top_srcdir)/m4/dc_fortran_module_type.m4 \
	$(top_srcdir)/m4/dc_set_libdir_libname.m4 \
	$(top_srcdir)/m4/dc_set_moddir.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run aclocal-1.11
AMTAR = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CUDA = no
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"spml\" -DPACKAGE_TARNAME=\"spml\" -DPACKAGE_VERSION=\"0.8.0\" -DPACKAGE_STRING=\"spml\ 0.8.0\" -DPACKAGE_BUGREPORT=\"dcstaff@gfd-dennou.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"spml\" -DVERSION=\"0.8.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
DVIPDFMX = dvipdfmx
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EIGMATRIXLIB = LAPACK
EXEEXT = 
F90MODTYPE = std.mod
FC = mpif90
FCFLAGS = -I/usr/lib/gtool5/include -I/usr/include -g -O2
FCFLAGS_f90 = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/lib/gtool5/lib -L/usr/lib -L/usr/lib -L/usr/lib
LIBOBJS = 
LIBS = -lgtool5 -lnetcdf -lispack  -llapack
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LUMATRIXLIB = OMP
MAKEINFO = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MODEXT = .mod
MODPATHFLAG = -I
MPIEXEC = no
MPIEXECOPTS = 
MPIFC = mpif90
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = spml
PACKAGE_BUGREPORT = dcstaff@gfd-dennou.org
PACKAGE_NAME = spml
PACKAGE_STRING = spml 0.8.0
PACKAGE_TARNAME = spml
PACKAGE_URL = 
PACKAGE_VERSION = 0.8.0
PATH_SEPARATOR = :
PLATEX = platex
RANLIB = ranlib
RD2 = rd2
RDOCF95 = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPMLLIBNAME = spml-lapack-omp
STRIP = strip
VERSION = 0.8.0
W3M = w3m
abs_builddir = /GFD_Dennou_Club/ftp/arch/spmodel/spml/doc
abs_srcdir = /GFD_Dennou_Club/ftp/arch/spmodel/spml/doc
abs_top_builddir = /GFD_Dennou_Club/ftp/arch/spmodel/spml
abs_top_srcdir = /GFD_Dennou_Club/ftp/arch/spmodel/spml
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_FC = 
ac_cv_dvipdfmx = dvipdfmx
ac_cv_platex = platex
ac_cv_rd2 = rd2
ac_cv_rdoc_f95 = no
ac_cv_w3m = w3m
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local/spmodel
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
RDOC = 
RDOCOPTS = --ignore-case --charset euc-jp  \
	--inline-source --op html/ \
	--title "SPML References Manual" -U

F90FILES = libsrc/**/*.f90 doc/*.rdoc
MAINPAGE = doc/spml_modules.rdoc
RD2OPTS = -r rd/rd2html-ext-lib --ref-extension --with-part=HTML:html \
	--native-inline --out-code=utf8
RD2OPTS_JA = $(RD2OPS) --with-part=JA:rd
W3MOPTSJA = -T text/html -I u -O u -cols 72 -dump
RD2OPTS_EN = $(RD2OPS) --with-part=EN:rd
W3MOPTSEN = -T text/html -I u -O N -cols 72 -dump
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am: pdf-local

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am pdf-local ps ps-am uninstall \
	uninstall-am


update: pdf-local doc-local reference

reference: $(srcdir)/../html/reference_manual/index.html
$(srcdir)/../html/reference_manual/index.html:
	( cd $(srcdir)/../ && $(RDOC) $(RDOCOPTS) --main $(MAINPAGE) $(F90FILES) )

doc-local: \
	$(srcdir)/../INSTALL \
	$(srcdir)/../INSTALL.ja \
	$(srcdir)/../README \
	$(srcdir)/../README.ja

$(srcdir)/../INSTALL: INSTALL.rd
	$(RD2) $(RD2OPTS_EN) $< | $(W3M) $(W3MOPTSEN) > $@
$(srcdir)/../INSTALL.ja: INSTALL.rd
	$(RD2) $(RD2OPTS_JA) $< | $(W3M) $(W3MOPTSJA) > $@
$(srcdir)/../README: README.rd
	$(RD2) $(RD2OPTS_EN) $< | $(W3M) $(W3MOPTSEN) > $@
$(srcdir)/../README.ja: README.rd

=== debian/changelog ===
spml (0.8.0-7+0~20170313064547.7~1.gbp63a368) unstable; urgency=medium

  ** SNAPSHOT build @63a3685ef2e9442cad13297f80281030e6cfc735 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Mon, 13 Mar 2017 15:45:49 +0900

spml (0.8.0-7) unstable; urgency=medium

  * Bump compat, standard-versioin
  * Fix dep5 uri
  * Remove debug-prefix

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 13 Mar 2017 15:44:50 +0900

spml (0.8.0-6) unstable; urgency=medium

  * Add Depends: libnetcdff-dev

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 28 Feb 2017 19:42:32 +0900

spml (0.8.0-5) unstable; urgency=medium

  * Fix Build-Depends: add libnetcdff-dev

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 28 Feb 2017 00:11:49 +0900

spml (0.8.0-4) unstable; urgency=medium

  * Fix location of netcdf libraries

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 28 Feb 2017 00:06:19 +0900

spml (0.8.0-3) unstable; urgency=medium

  * Fix libname of gtool5 MPI ver.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 25 Sep 2015 17:10:06 +0900

spml (0.8.0-2) unstable; urgency=medium

  * Fix mpispmconfig broken link

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Feb 2014 23:56:19 +0900

spml (0.8.0-1) unstable; urgency=medium

  * Imported Upstream version 0.8.0
  * Add debian/watch
  * Delete automake generated files
  * Bump Standard Version: 3.9.5
  * Update Build-Depends: use dh instead of CDBS
  * Drop unused files (old format)
  * Update patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 07 Feb 2014 19:43:02 +0900

=== debian/control ===
Source: spml
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 10.0~), dpkg-dev (>= 1.16.1~), dh-autoreconf,
  mpi-default-dev, mpi-default-bin, gfortran,
  libnetcdf-dev, libnetcdff-dev, gtool5, libispack-dev, liblapack-dev, ruby, rdtool
Standards-Version: 3.9.8
Homepage: http://www.gfd-dennou.org/arch/spmodel

Package: spml
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Conflicts: spml-g95
Depends: ${shlibs:Depends}, ${misc:Depends},
 gfortran, mpi-default-dev, mpi-default-bin,
 libnetcdf-dev, libnetcdff-dev, gtool5, libispack-dev, liblapack-dev
Description: Fortran90 module library for solveing fundamental GFD problems
 SPML (a SPectral Model Library) is a Fortran90 module library for
 constructing spectral models for fundamental geophysical fluid
 dynamic problems. Fortran90 modules of this library are based on
 ISPACK (http://www.gfd-dennou.org/arch/ispack), which is also library
 for spectral models but written in Fortran77.
 .
 This package provides whole librares and wrapper shell scripts.

Package: spml-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Breaks: spml ( <= 0.7~ )
Depends: ${misc:Depends}
Description: Documents and Code references of SPML Library
 SPML (a SPectral Model Library) is a Fortran90 module library for
 constructing spectral models for fundamental geophysical fluid
 dynamic problems. Fortran90 modules of this library are based on
 ISPACK (http://www.gfd-dennou.org/arch/ispack), which is also library
 for spectral models but written in Fortran77.
 .
 This package provides documents and code references.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

FFLAGS += -fPIC
FFLAGS += -fopenmp

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	mkdir -p $(CURDIR)/build/spml
	(cd $(CURDIR)/build/spml \
	  && FC=gfortran FCFLAGS="$(FFLAGS)" LDFLAGS=$(LDFLAGS) \
	  ../../configure \
	  --prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/spml \
	  --with-ispack=/usr/lib/$(DEB_HOST_MULTIARCH)/libispack.a \
	  --with-netcdf=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdf.so \
	  --with-netcdff=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdff.so \
	  --with-gtool5=/usr/lib/$(DEB_HOST_MULTIARCH)/gtool5/lib/libgtool5.a \
	  --with-lapack=/usr/lib/liblapack.a \
	  --with-lumatrix=LAPACK )
	mkdir -p $(CURDIR)/build/spml-mpi
	(cd $(CURDIR)/build/spml-mpi \
	  && FC=mpif90 FCFLAGS="$(FFLAGS)" LDFLAGS=$(LDFLAGS) \
	  ../../configure \
	  --prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/spml-mpi \
	  --with-ispack=/usr/lib/$(DEB_HOST_MULTIARCH)/libispack-mpi.a \
	  --with-netcdf=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdf.so \
	  --with-netcdff=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdff.so \
	  --with-gtool5=/usr/lib/$(DEB_HOST_MULTIARCH)/gtool5-mpi/lib/libgtool5.a \
	  --with-lapack=/usr/lib/liblapack.a \
	  --with-lumatrix=LAPACK \
	  --with-mpifc=mpif90 \
	  --with-mpiexec=mpiexec )

override_dh_auto_build:
	( cd $(CURDIR)/build/spml && $(MAKE) )
	( cd $(CURDIR)/build/spml-mpi && $(MAKE) )
	grep "^#" $(CURDIR)/build/spml/bin/spmfrt \
	  | sed 's/^#//g' > $(CURDIR)/debian/spmfrt.rd
	grep "^#" $(CURDIR)/build/spml/bin/spmconfig \
	  | sed 's/^#//g' > $(CURDIR)/debian/spmconfig.rd
	grep "^#" $(CURDIR)/build/spml-mpi/bin/mpispmfrt \
	  | sed 's/^#//g' > $(CURDIR)/debian/mpispmfrt.rd
	grep "^#" $(CURDIR)/build/spml-mpi/bin/spmconfig \
	  | sed 's/^#//g' > $(CURDIR)/debian/mpispmconfig.rd
	( cd $(CURDIR)/debian \
	  && rd2 -r rd/rd2man-lib spmfrt.rd > spmfrt.1 )
	( cd $(CURDIR)/debian \
	  && rd2 -r rd/rd2man-lib spmconfig.rd > spmconfig.1 )
	(cd $(CURDIR)/debian \
	  && rd2 -r rd/rd2man-lib mpispmfrt.rd > mpispmfrt.1 )
	(cd $(CURDIR)/debian \
	  && rd2 -r rd/rd2man-lib mpispmconfig.rd > mpispmconfig.1 )

override_dh_auto_test:
# 	( cd $(CURDIR)/build/spml && $(MAKE) test )

override_dh_auto_install:
	(cd $(CURDIR)/build/spml \
	  && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp )
	(cd $(CURDIR)/build/spml-mpi \
	  && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp )

override_dh_install:
	dh_install --sourcedir=debian/tmp
	find $(CURDIR)/debian/spml -name \*.la | xargs rm -f
	sed -i -e 's%-fdebug-prefix-map=$(CURDIR)=.%%g ' \
	  $(CURDIR)/debian/spml/usr/lib/$(DEB_HOST_MULTIARCH)/spml/bin/spmconfig
	sed -i -e 's%-fdebug-prefix-map=$(CURDIR)=.%%g ' \
	  $(CURDIR)/debian/spml/usr/lib/$(DEB_HOST_MULTIARCH)/spml-mpi/bin/spmconfig

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(CURDIR)/build
	rm -f $(CURDIR)/libsrc/eigmatrix/eigmatrix.s
	rm -f $(CURDIR)/debian/*.rd
	rm -f $(CURDIR)/debian/*.1

override_dh_link:
	dh_link \
	  usr/lib/$(DEB_HOST_MULTIARCH)/spml/bin/spmfrt usr/bin/spmfrt \
	  usr/lib/$(DEB_HOST_MULTIARCH)/spml/bin/spmconfig usr/bin/spmconfig \
	  usr/lib/$(DEB_HOST_MULTIARCH)/spml-mpi/bin/mpispmfrt usr/bin/mpispmfrt \
	  usr/lib/$(DEB_HOST_MULTIARCH)/spml-mpi/bin/spmconfig usr/bin/mpispmconfig

override_dh_installchangelogs:
	dh_installchangelogs --all $(CURDIR)/ChangeLog

override_dh_installdocs:
	dh_installdocs
	find $(CURDIR)/debian/spml-doc -name INSTALL\* | xargs rm -fr
	find $(CURDIR)/debian/spml-doc -name Makefile\* | xargs rm -fr
	find $(CURDIR)/debian/spml-doc -name README\* | xargs rm -fr

override_dh_compress:
	dh_compress -X.tex -X.pdf
